Package com.smartgwt.client.util.tour

# Class TourConfirmStep

java.lang.Object
com.smartgwt.client.core.BaseClass
com.smartgwt.client.util.workflow.ProcessElement
com.smartgwt.client.util.workflow.Task
com.smartgwt.client.util.workflow.UserTask
com.smartgwt.client.util.tour.TourConfirmStep

All Implemented Interfaces:
  `HasHandlers`

public class TourConfirmStep extends UserTask
Chooses one or another next process element based on confirmation of a message shown to user.

If the user clicks OK, the `nextElement` is chosen, otherwise the choice is `failureElement`.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.BaseClass

  `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TourConfirmStep()`
  `TourConfirmStep(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JavaScriptObject`
  `create()`
  `String`
  `getActionButtonTitle()`
  Applied directly to `targetView`.
  `String`
  `getCancelButtonTitle()`
  Applied directly to `targetView`.
  `String`
  `getFailureElement()`
  ID of the next element to process if the user clicks the `cancelButton`.
  `String`
  `getInstructions()`
  Text to show in body of window.
  `String`
  `getNextElement()`
  Next `element` to execute if the user clicks the `actionButton`.
  `static TourConfirmStep`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `Boolean`
  `getShowActionButton()`
  Should the `targetView` `action button` be shown for this step?
  `Boolean`
  `getShowCancelButton()`
  Should the `targetView` `cancel button` be shown for this step?
  `Canvas`
  `getTargetView()`
  Automatically generated view (typically a window) to show for tour step.
  `String`
  `getTargetViewConstructor()`
  The name of the widget class (as a string) to use for the target view.
  `Canvas`
  `getTargetViewDefaults()`
  Defaults for the `targetView` autoChild.
  `String`
  `getTitle()`
  Title for the Window.
  `TourConfirmStep`
  `setActionButtonTitle(String actionButtonTitle)`
  Applied directly to `targetView`.
  `TourConfirmStep`
  `setCancelButtonTitle(String cancelButtonTitle)`
  Applied directly to `targetView`.
  `TourConfirmStep`
  `setFailureElement(String failureElement)`
  ID of the next element to process if the user clicks the `cancelButton`.
  `TourConfirmStep`
  `setInstructions(String instructions)`
  Text to show in body of window.
  `TourConfirmStep`
  `setNextElement(String nextElement)`
  Next `element` to execute if the user clicks the `actionButton`.
  `TourConfirmStep`
  `setShowActionButton(Boolean showActionButton)`
  Should the `targetView` `action button` be shown for this step?
  `TourConfirmStep`
  `setShowCancelButton(Boolean showCancelButton)`
  Should the `targetView` `cancel button` be shown for this step?
  `TourConfirmStep`
  `setTargetViewConstructor(String targetViewConstructor)`
  The name of the widget class (as a string) to use for the target view.
  `TourConfirmStep`
  `setTargetViewDefaults(Canvas targetViewDefaults)`
  Defaults for the `targetView` autoChild.
  `TourConfirmStep`
  `setTitle(String title)`
  Title for the Window.

  ### Methods inherited from class com.smartgwt.client.util.workflow.UserTask

  `cancelEditing, completeEditing, getCancelElement, getInlineView, getPassThruOutput, getPreviousElement, getSaveToServer, getTargetForm, getTargetFormAsString, getTargetVM, getWizard, goToPrevious, setCancelElement, setInlineView, setPassThruOutput, setPreviousElement, setSaveToServer, setTargetForm, setTargetForm, setTargetView, setTargetView, setTargetVM, setTargetVM, setWizard`

  ### Methods inherited from class com.smartgwt.client.util.workflow.Task

  `getExpressionValue, getInputFieldList, getInputRecord, getInputs, getInputsAsString, getInputsAsStringArray, getOutputExpression, getOutputField, getOutputFieldList, getState, getStrictPaths, setInputFieldList, setInputs, setInputs, setInputs, setOutput, setOutputExpression, setOutputField, setOutputFieldList, setState, setStrictPaths`

  ### Methods inherited from class com.smartgwt.client.util.workflow.ProcessElement

  `completeElement, convertToJavaScriptArray, executeElement, getBindOutput, getClassDescription, getComponentReferences, getCurrentProcess, getDescription, getDynamicValue, getEditorType, getElementDescription, getForceSingle, getID, getInstanceDescription, getInstanceTitle, getInvalidTaskMessage, getJsObj, getMockMode, getOrCreateJsObj, getProcessElements, getSupportsMultipleInputRecords, getTextFormulaValue, getTypeTitle, getUndefinedComponentMessage, getUnresolvedComponentMessage, getWaitDuration, getWaitFor, getWaitLocator, isCreated, isValid, objectReferencesLastTaskOutput, onInit, reset, setAttribute, setBindOutput, setClassDescription, setCurrentProcess, setDescription, setEditorType, setForceSingle, setID, setJavaScriptObject, setMockMode, setSupportsMultipleInputRecords, setTypeTitle, setUndefinedComponentMessage, setUnresolvedComponentMessage, setWaitDuration, setWaitFor, setWaitLocator, updateGlobalIDInCriteria, updateGlobalIDInTextFormula, updateGlobalIDInValueProperty, updateGlobalIDInValues, updateGlobalIDReferences, updateLastElementBindingReferences, updateLastElementInCriteria, updateLastElementInValueProperty, updateLastElementInValues`

  ### Methods inherited from class com.smartgwt.client.core.BaseClass

  `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TourConfirmStep

    public TourConfirmStep()

  - ### TourConfirmStep

    public TourConfirmStep(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static TourConfirmStep getOrCreateRef(JavaScriptObject jsObj)

  - ### create

    public JavaScriptObject create()
    Overrides:
      `create` in class `UserTask`

  - ### setActionButtonTitle

    public TourConfirmStep setActionButtonTitle(String actionButtonTitle) throws IllegalStateException
    Applied directly to `targetView`.
    Parameters:
      `actionButtonTitle` - New actionButtonTitle value. Default value is "OK"
    Returns:
      `TourConfirmStep` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created
    See Also:
      - `HTMLString`

  - ### getActionButtonTitle

    public String getActionButtonTitle()
    Applied directly to `targetView`.
    Returns:
      Current actionButtonTitle value. Default value is "OK"
    See Also:
      - `HTMLString`

  - ### setCancelButtonTitle

    public TourConfirmStep setCancelButtonTitle(String cancelButtonTitle) throws IllegalStateException
    Applied directly to `targetView`.
    Parameters:
      `cancelButtonTitle` - New cancelButtonTitle value. Default value is "Cancel
    Returns:
      `TourConfirmStep` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created
    See Also:
      - `HTMLString`

  - ### getCancelButtonTitle

    public String getCancelButtonTitle()
    Applied directly to `targetView`.
    Returns:
      Current cancelButtonTitle value. Default value is "Cancel
    See Also:
      - `HTMLString`

  - ### setFailureElement

    public TourConfirmStep setFailureElement(String failureElement) throws IllegalStateException
    ID of the next element to process if the user clicks the `cancelButton`. If not set, the process will exit.
    Parameters:
      `failureElement` - New failureElement value. Default value is null
    Returns:
      `TourConfirmStep` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getFailureElement

    public String getFailureElement()
    ID of the next element to process if the user clicks the `cancelButton`. If not set, the process will exit.
    Returns:
      Current failureElement value. Default value is null

  - ### setInstructions

    public TourConfirmStep setInstructions(String instructions) throws IllegalStateException
    Text to show in body of window.
    Parameters:
      `instructions` - New instructions value. Default value is null
    Returns:
      `TourConfirmStep` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created
    See Also:
      - `HTMLString`
      - `Appearance overview and related methods`

  - ### getInstructions

    public String getInstructions()
    Text to show in body of window.
    Returns:
      Current instructions value. Default value is null
    See Also:
      - `HTMLString`
      - `Appearance overview and related methods`

  - ### setNextElement

    public TourConfirmStep setNextElement(String nextElement) throws IllegalStateException
    Next `element` to execute if the user clicks the `actionButton`.

    `nextElement` does not need to be specified if this gateway is part of a `sequence` and has a next element in the sequence. This is normal for a tour.

    Overrides:
      `setNextElement` in class `ProcessElement`
    Parameters:
      `nextElement` - New nextElement value. Default value is null
    Returns:
      `TourConfirmStep` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getNextElement

    public String getNextElement()
    Next `element` to execute if the user clicks the `actionButton`.

    `nextElement` does not need to be specified if this gateway is part of a `sequence` and has a next element in the sequence. This is normal for a tour.

    Overrides:
      `getNextElement` in class `ProcessElement`
    Returns:
      Current nextElement value. Default value is null

  - ### setShowActionButton

    public TourConfirmStep setShowActionButton(Boolean showActionButton) throws IllegalStateException
    Should the `targetView` `action button` be shown for this step?

    If no value is provided it will be defaulted to `true`.

    Parameters:
      `showActionButton` - New showActionButton value. Default value is null
    Returns:
      `TourConfirmStep` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getShowActionButton

    public Boolean getShowActionButton()
    Should the `targetView` `action button` be shown for this step?

    If no value is provided it will be defaulted to `true`.

    Returns:
      Current showActionButton value. Default value is null

  - ### setShowCancelButton

    public TourConfirmStep setShowCancelButton(Boolean showCancelButton) throws IllegalStateException
    Should the `targetView` `cancel button` be shown for this step?

    If no value is provided it will be defaulted to `true`.

    Parameters:
      `showCancelButton` - New showCancelButton value. Default value is null
    Returns:
      `TourConfirmStep` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getShowCancelButton

    public Boolean getShowCancelButton()
    Should the `targetView` `cancel button` be shown for this step?

    If no value is provided it will be defaulted to `true`.

    Returns:
      Current showCancelButton value. Default value is null

  - ### getTargetView

    public Canvas getTargetView() throws IllegalStateException
    Automatically generated view (typically a window) to show for tour step.

    The following `passthroughs` apply:

    - `showCancelButton` for the `TourWindow.showCancelButton`
    - `cancelButtonTitle` for the `TourWindow.cancelButtonTitle`
    - `actionButtonTitle` for the `TourWindow.actionButtonTitle`

    This component is an AutoChild named "targetView". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

    Overrides:
      `getTargetView` in class `UserTask`
    Returns:
      Current targetView value. Default value is null
    Throws:
      `IllegalStateException` - if the underlying component has not yet been created.

  - ### setTargetViewConstructor

    public TourConfirmStep setTargetViewConstructor(String targetViewConstructor) throws IllegalStateException
    The name of the widget class (as a string) to use for the target view.
    Parameters:
      `targetViewConstructor` - New targetViewConstructor value. Default value is "TourWindow"
    Returns:
      `TourConfirmStep` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getTargetViewConstructor

    public String getTargetViewConstructor()
    The name of the widget class (as a string) to use for the target view.
    Returns:
      Current targetViewConstructor value. Default value is "TourWindow"

  - ### setTargetViewDefaults

    public TourConfirmStep setTargetViewDefaults(Canvas targetViewDefaults) throws IllegalStateException
    Defaults for the `targetView` autoChild.
    Parameters:
      `targetViewDefaults` - New targetViewDefaults value. Default value is {...}
    Returns:
      `TourConfirmStep` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created
    See Also:
      - `SGWTProperties`

  - ### getTargetViewDefaults

    public Canvas getTargetViewDefaults()
    Defaults for the `targetView` autoChild.
    Returns:
      Current targetViewDefaults value. Default value is {...}

  - ### setTitle

    public TourConfirmStep setTitle(String title) throws IllegalStateException
    Title for the Window.
    Parameters:
      `title` - New title value. Default value is null
    Returns:
      `TourConfirmStep` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created
    See Also:
      - `HTMLString`
      - `Appearance overview and related methods`

  - ### getTitle

    public String getTitle()
    Title for the Window.
    Returns:
      Current title value. Default value is null
    See Also:
      - `HTMLString`
      - `Appearance overview and related methods`